Subject: RE: bug#642: 23.0.60;garbled text (wrong font?) in About GNU Emacs screen

From: "Drew Adams" <[email-masked]>
Date: Sat, 29 Nov 2008 14:50:15 -0800

I was able to test this, to see the difference.

The bug is indeed fixed - thanks.

However, FWIW, the fonts used are less readable than in Emacs 22, so this is a
slight regression. See the attached screenshots. Notice both the text in the tab
bar and the text in the Info menu heading `Utilities'. Notice too that the
tab-bar text seems to be cut off at the top: you cannot tell the `f' in
"icicles-fn.el" from a `t'. You probably could not tell an `n' from an `h', and
so on: ascenders are chopped.

Dunno if anything can be done about this, but I hope the additional feedback
might help. It's a shame to see Emacs look a little worse instead of better.

Thx - Drew

> From: Drew Adams Sent: Sunday, November 23, 2008 9:20 AM
> > Thanks for your extra information.  I think this is related 
> > to the fact that the Uniscribe font backend can only use
> > opentype and truetype fonts, but Windows by default defines
> > font substitutions for Helvetica and Times to map to the
> > Truetype fonts "Arial" and "Times New Roman". So 
> > the uniscribe backend picks these substitutes up, but somehow 
> > things get confused so the Type-1 fonts end up being loaded.
> > I've added some code to specifically reject these substitutes,
> > which are detected by comparing the font's "full name" with
> > the name used to load it. Unfortunately this also catches many
> > legitimate fonts, so I've had to pick out these two specific
> > problematic substitutions. If there are any other specific
> > fonts that cause this problem, then we will need to add 
> > rules for them too.
> 
> Thanks for fixing this, Jason.
> 
> I don't understand all that you wrote, but I probably don't 
> need to. ;-)
> 
> I think you're saying, along with the explanation of why, 
> that I should no longer see garbled text after your fix. I 
> might not see some particular fonts, but I will be able to 
> read the text in some font. If so, that's fine.
> 
> BTW, I the extra info helped, then it's thanks to Miles's 
> list-fonts-display code. That enabled me to see the problem 
> wrt specific fonts. Perhaps something like his code should be 
> added to Emacs? (Dunno if there is already something that does that.)
> 
> Thx.